
QGIS Application - Bug report #19930

"Zoom to feature" does not work
Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Attribute table

Affected QGIS version:3.2.3 Regression?: No

Operating System: linux (ubuntu bionic) Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27753

Description

The "Zoom to Feature" action in the attribute table is not working as I would expect.  If I:

- Create a SQL layer from a spatialite data source

- Select "Open attribute table..." for this layer

- Create a field filter

- Search for a particular value

- Right click on the result row and select "Zoom to feature"

...then QGIS reports "Zoom to feature id failed: Feature not found".

The feature exists (I'm looking at it in the attribute table). The feature has a unique id, and the corresponding column is identified as the

unique id column.

History

#1 - 2018-09-24 03:06 PM - Giovanni Manghi

- Status changed from Open to Feedback

Is this only true for SQL layers (with filters applied?)?

#2 - 2018-09-24 07:26 PM - Lars Kellogg-Stedman

It looks like this only happens with a SQL layer.  It works fine with a shapefile layer.

#3 - 2018-09-25 08:51 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

I cannot reproduce on current master, I tried with a PG and a Spatialite layer without success, can you please share a small project and data to reproduce

the issue?

#4 - 2018-09-25 09:55 AM - Giovanni Manghi

Tested on master/linux and works as expected here (SL datasource).
#5 - 2018-09-25 10:00 AM - Nyall Dawson

Maybe this is for virtual layers?

#6 - 2018-09-25 10:02 AM - Giovanni Manghi

Nyall Dawson wrote:

Maybe this is for virtual layers?

tried them and seems ok here, nut let me try again.

#7 - 2018-09-25 01:51 PM - Lars Kellogg-Stedman

I'll grab the current master and see if the problem reproduces with my actual data.

#8 - 2018-09-25 02:14 PM - Lars Kellogg-Stedman

I see the same behavior in the latest nightly build (208571a).  I've recorded a video of the behavior here in case I'm neglecting something in my description

of the problem: https://youtu.be/Xk0vMaVsypY

Let me know if you would like more information.

#9 - 2018-09-25 04:38 PM - Alessandro Pasotti

Thanks for the video!

Since we don't know exactly where the problem is, it would be really helpful if you could share some data and a project to test with (plus the SQL query

that you set in db-manager), this would make it easier to replicate your scenario.

#10 - 2018-09-25 05:45 PM - Lars Kellogg-Stedman

Here's a sample project and data that reproduces the problem:

https://github.com/larsks/qgis-bug-19930

#11 - 2018-09-25 06:01 PM - Giovanni Manghi

- Status changed from Feedback to Open

#12 - 2018-09-27 11:53 AM - Alessandro Pasotti

The table has no primary key, so there is no way to retrieve it from the iterator, I'll try to find a solution but it's not trivial.

Btw, the filter step in attr table is not necessary: zoom to feature does not work even on unfiltered features.
#13 - 2018-09-28 11:08 AM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

https://github.com/qgis/QGIS/pull/8052

#14 - 2018-10-01 10:49 AM - Alessandro Pasotti

- Status changed from In Progress to Closed

- Resolution set to fixed/implemented

commit:b395488b4f0230e3fe849200f9b76aee395f53c5
